Bug 466070 - selinux prevents IPSec from starting (pluto)
selinux prevents IPSec from starting (pluto)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-07 23:00 EDT by pinkyred
Modified: 2009-06-10 07:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 07:11:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pinkyred 2008-10-07 23:00:57 EDT
Description of problem:

SElinux policy prevents the start of IPsec (pluto)

Version-Release number of selected component (if applicable):
selinux-policy.noarch                    3.3.1-95.fc9           
selinux-policy-devel.noarch              3.3.1-95.fc9           
selinux-policy-targeted.noarch           3.3.1-95.fc9           
kernel 2.6.25.14

How reproducible:
Every time

Steps to Reproduce:
1. service ipsec start
2.
3.
  
Actual results:
pluto fails to start.  syslog shows permission failure due to SELinux:
Oct  7 22:49:17 firewall setroubleshoot: SELinux is preventing pluto (ipsec_t) "setopt" to <Unknown> (ipsec_t). For complete SELinux messages. run sealert -l eda7e777-92f2-417b-a8f8-f9f82e128a74
Oct  7 22:49:18 firewall ipsec__plutorun: 003 FATAL ERROR: setsockopt() in find_raw_ifaces4(). Errno 13: Permission denied

Expected results:
Pluto should start.

Additional info:
attempts to create a local policy to overcome this error has no effect.  I added one policy which overcame this first error, but second error I can't overcome:
Oct  7 22:38:40 firewall setroubleshoot: SELinux is preventing pluto (ipsec_t) "create" to <Unknown> (ipsec_t). For complete SELinux messages. run sealert -l 90d9f990-fd27-47d5-bd3f-335bd4e4155f
Comment 1 Daniel Walsh 2008-10-08 17:46:20 EDT
Please attach the messages.

/var/log/audit/audit.log
Comment 2 pinkyred 2008-10-08 21:29:54 EDT
This is the related message:

type=AVC msg=audit(1223515639.485:26): avc:  denied  { setopt } for  pid=4137 comm="pluto" scontext=unconfined_u:system_r:ipsec_t:s0 tcontext=unconfined_u:system_r:ipsec_t:s0 tclass=udp_socket
type=SYSCALL msg=audit(1223515639.485:26): arch=40000003 syscall=102 success=no exit=-13 a0=e a1=bfa8d6d0 a2=b80979e8 a3=b7ff3d40 items=0 ppid=4136 pid=4137 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts1 ses=2 comm="pluto" exe="/usr/libexec/ipsec/pluto" subj=unconfined_u:system_r:ipsec_t:s0 key=(null)
Comment 3 Daniel Walsh 2008-10-29 14:13:42 EDT
Fixed in selinux-policy-3.3.1-103.fc9.noarch
Comment 4 Bug Zapper 2009-06-09 22:54:41 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.